Qt Reference Documentation

# QHelpContentWidget Class Reference

The QHelpContentWidget class provides a tree view for displaying help content model items. More...

     #include <QHelpContentWidget>

Inherits: QTreeView.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

QModelIndex | indexOf ( const QUrl & link )

- 49 public functions inherited from QTreeView
- 57 public functions inherited from QAbstractItemView
- 17 public functions inherited from QAbstractScrollArea
- 14 public functions inherited from QFrame
- 221 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

## Signals

void | linkActivated ( const QUrl & link )

- 2 signals inherited from QTreeView
- 6 signals inherited from QAbstractItemView
- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 11 properties inherited from QTreeView
- 16 properties inherited from QAbstractItemView
- 2 properties inherited from QAbstractScrollArea
- 6 properties inherited from QFrame
- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 8 public slots inherited from QTreeView
- 9 public slots inherited from QAbstractItemView
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 static public members inherited from QWidget
- 7 static public members inherited from QObject
- 28 protected functions inherited from QTreeView
- 36 protected functions inherited from QAbstractItemView
- 18 protected functions inherited from QAbstractScrollArea
- 3 protected functions inherited from QFrame
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 4 protected slots inherited from QTreeView
- 9 protected slots inherited from QAbstractItemView
- 1 protected slot inherited from QAbstractScrollArea
- 1 protected slot inherited from QWidget

## Detailed Description

The QHelpContentWidget class provides a tree view for displaying help content model items.

## Member Function Documentation

### QModelIndex QHelpContentWidget::indexOf ( const QUrl & link )

Returns the index of the content item with the link. An invalid index is returned if no such an item exists.

### void QHelpContentWidget::linkActivated ( const QUrl & link )`[signal]`

This signal is emitted when a content item is activated and its associated link should be shown.